// Defines the clock frequency of the device. Needed for util/delay.h.
#define F_CPU 16000000

// Includes.
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

// Macros for bit operations.
#define set_bit(reg, bit) (reg |= (1 << bit))
#define clear_bit(reg, bit) (reg &= ~(1 << bit))
#define test_bit(reg, bit) (reg & (1 << bit))
#define loop_bit_is_set(reg, bit) while(!test_bit(reg, bit))
#define loop_bit_is_clear(reg, bit) while(test_bit(reg, bit))

// Enables debugging over RS-232.
// This will give problems, since the debugging takes a long time.
// #define RS232_DEBUG

// Enables timout of SPI transfers.
// Timeout period = TIMEOUT * 20 microseconds.
//#define TIMEOUT_ENABLE
#define TIMEOUT 25

// Defines if buffering mode or interrupt mode will be used for ADC.
#define BUFFERING_MODE
//#define INTERRUPT_MODE

// Main function that initialize the I/O-card and then starts the main program loop, which continuously checks for new messages from the AVR32.
int main();

#include "am128uart.h"
#include "am128io.h"
