void SPI_SlaveInit(void)
{
   // Enables SPI and sets the MISO signal as an output.
   SPCR = (1<<SPE);
   DDRB = (1<<3);

   // Timer prescaler 256 (16us).
#ifdef TIMEOUT_ENABLE
   TCCR0 =  (1 << CS02) | (1 << CS01);
#endif
}

signed char SPI_SlaveTransferByte(unsigned char tx, unsigned char *rx, unsigned char usec)
{
#ifdef TIMEOUT_ENABLE
   // Starts timer.
   TCNT0 = 0;
#endif

   // Prepare data to send and wait for SPI transfer from master.
   SPDR = tx;
   while(!(SPSR & (1<<SPIF))){
#ifdef TIMEOUT_ENABLE
      // Checks for timeout.
      if(TCNT0 > usec) return -1;
#endif
   }

   // Returns data.
   *(rx) = SPDR;
   return 0;
}
