#ifndef AM128_SPI_SLAVE
#define AM128_SPI_SLAVE

// Initialize the ATmega128 as a SPI slave. If timeout are enabled, then this function will initialize a timer aswell.
void SPI_SlaveInit(void);

// Function for transfer one byte of data. It will wait for an SPI transfer from the master. If timeouts are enabled, the function will return an error after some time. Since SPI is fully duplex, this function will both send and receive data.
signed char SPI_SlaveTransferByte(unsigned char tx, unsigned char *rx, unsigned char usec);

#include "am128spiSlave.c"

#endif //AM128_SPI_SLAVE
