int StartStopWatch(struct sStopWatch *sWatch)
{
   // Returns an error if the watch have already been started.
   if(sWatch->state == SWATCH_STARTED) return -1;

   // Starts the watch, notice that gettimeofday is the last thing to happen. This is because that will be most accurate.
   sWatch->state = SWATCH_STARTED;
   sWatch->usec = -1;
   gettimeofday(&(sWatch->start), NULL);
   return 0;
}

int StopStopWatch(struct sStopWatch *sWatch)
{
   // Returns an error if the watch havent been started.
   if(sWatch->state != SWATCH_STARTED) return -1;

   // Stops the watch and calculate the result, and return this. Notice that gettimeofday is the first thing to happen. This is because that will be most accurate.
   gettimeofday(&(sWatch->stop), NULL);
   sWatch->state = SWATCH_STOPED;
   sWatch->usec = sWatch->stop.tv_sec * 1000000 + sWatch->stop.tv_usec - sWatch->start.tv_sec * 1000000 - sWatch->start.tv_usec;
   return sWatch->usec;
}
