
int SPI_MasterTransfer(u8 *rx, u8 *tx, int len)
{
   // Structs for the transfer.
   struct spi_message msg;
   struct spi_transfer transfer;

   // Makes the transferstruct.
   memset(&transfer, 0, sizeof(transfer));
   transfer.len = len;
   transfer.rx_buf = rx;
   transfer.tx_buf = tx;

   // Makes the messagestruct, and includes the transfer in it.
   spi_message_init(&msg);
   spi_message_add_tail(&transfer, &msg);

   // Execute transfer and return result.
   return spi_sync(device->spi, &msg);
}

int SPI_MasterTransferByte(u8 tx)
{
   int ret;
   u8 rx;

   // Execute transfer of one byte.
   ret = SPI_MasterTransfer(&rx, &tx, 1);
   if (ret < 0) return ret;
   return rx;
}

int SPI_SendTableOfBytes(u8 *tx, u8 *expectedRx, int len)
{
   int i, ret;
   u8 rx[len];

   // Execute transfer of the given number of bytes.
   ret = SPI_MasterTransfer(rx, tx, len);
   if(ret < 0) return ret;

   // Checks that all received data was the expected data.
   for(i = 0; i < len; i++){
      DEBUG("tx%i: %i expectedRx%i: %i rx%i: %i\n", i, tx[i], i, expectedRx[i], i, rx[i]);
      if(rx[i] != expectedRx[i]) return -EIO;
   }

   return 0;
}
