
// Defines number of analog channels.
#define COUNT_AIN                8
#define COUNT_AOUT               2
#define COUNT_TOTAL              (COUNT_AIN + COUNT_AOUT +2)

// Minor numbers of first channel of each type.
#define MINOR_AIN                0
#define MINOR_AOUT               COUNT_AIN
#define MINOR_DIN                (MINOR_AOUT + COUNT_AOUT)
#define MINOR_DOUT               (MINOR_AOUT + COUNT_AOUT + 1)

// Macros for finding minor number for a channel.
#define CH_TO_MINOR_AIN(ch)      (MINOR_AIN + ch)
#define CH_TO_MINOR_AOUT(ch)     (MINOR_AOUT + ch)

// Macros for testing if a minor number is a spesific type.
#define IS_AIN(minor)            ((minor>=MINOR_AIN)&(minor<MINOR_AOUT))
#define IS_AOUT(minor)           ((minor>=MINOR_AOUT)&(minor<MINOR_DIN))
#define IS_DIN(minor)            (minor==MINOR_DIN)
#define IS_DOUT(minor)           (minor==MINOR_DOUT)

// Functions for converting minor numbers into channels.
int MinorToChAin(int minor)
{
   if(IS_AIN(minor)){
      return minor - MINOR_AIN;
   }
   else{
      return -1;
   }
}

int MinorToChAout(int minor)
{
   if(IS_AOUT(minor)){
      return minor - MINOR_AOUT;
   }
   else{
      return -1;
   }
}
